# Project 1
A custom object relational mapping (ORM) framework, written in Java, which allows for a simplified and SQL-free interaction with a relational data source. Low-level JDBC is completely abstracted away from the developer, allowing them to easily query and persist data to a data source. Makes heavy use of the Java Reflection API in order to support CRUD operations for any entity objects as defined by the developer. A servlet-based web application was used to demonstrate the functionality of the ORM.

The web app is a virtual mailing list that supports a list of subscribers to said mailing list with basic CRUD interactions with the subscribers.

# Features
Create subscriber
Delete subscriber
Get all subscribers

# Usage
Make requests to the localhost for the webapp after starting tomcat on the webapp

# Contributors
Quinton Liang, Trent Greenman, Wyatt Goesch
